For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
BlogLog InRequest Demo
HomeProductDevelopersSelf-HostingChangelog
HomeProductDevelopersSelf-HostingChangelog
  • Getting Started
    • Overview
  • Workflows SDK
    • Introduction
    • Installation
    • Core Concepts
    • Defining Control Flow
    • Configuration
    • Custom Docker Images
  • Client SDK
    • Introduction
    • Authentication
    • API Versioning
      • POSTExecute Workflow
      • POSTExecute Workflow Async
      • STREAMExecute Workflow as Stream
      • GETCheck Workflow Execution Status
      • POSTSubmit Workflow Execution Actuals
        • STREAMExecute Workflow Deployment as Stream
        • GETList Workflow Deployments
        • GETList Workflow Deployment Releases
        • GETRetrieve Workflow Deployment
        • GETRetrieve Workflow Deployment Release
        • GETRetrieve Workflow Deployment Release Tag
        • GETList Workflow Deployment Release Tags
        • PATCHUpdate Workflow Deployment Release Tag
        • GETRetrieve Workflow Deployment History
        • GETList Workflow Deployment Executions
        • GETRetrieve Workflow Deployment Execution
LogoLogo
BlogLog InRequest Demo
Client SDKWorkflowsWorkflow Deployments

Update Workflow Deployment Release Tag

Beta
PATCH
https://api.vellum.ai/v1/workflow-deployments/:id/release-tags/:name
PATCH
/v1/workflow-deployments/:id/release-tags/:name
1import requests
2
3url = "https://api.vellum.ai/v1/workflow-deployments/id/release-tags/name"
4
5payload = {}
6headers = {
7 "X-API-KEY": "<apiKey>",
8 "Content-Type": "application/json"
9}
10
11response = requests.patch(url, json=payload, headers=headers)
12
13print(response.json())
200Updated
1{
2 "name": "string",
3 "source": "SYSTEM",
4 "history_item": {
5 "id": "string",
6 "timestamp": "2024-01-15T09:30:00Z"
7 },
8 "release": {
9 "id": "string",
10 "timestamp": "2024-01-15T09:30:00Z"
11 }
12}
Updates an existing Release Tag associated with the specified Workflow Deployment.
Was this page helpful?
Previous

Retrieve Workflow Deployment History

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header

Path parameters

idstringRequired
Either the Workflow Deployment's ID or its unique name
namestringRequired
The name of the Release Tag associated with this Workflow Deployment that you'd like to update.

Headers

X-API-VersionstringOptional

Request

This endpoint expects an object.
history_item_idstringOptionalformat: "uuid"
The ID of the Workflow Deployment History Item to tag

Response

namestring
The name of the Release Tag
sourceenum

The source of how the Release Tag was originally created

  • SYSTEM - System
  • USER - User
Allowed values:
history_itemobject

Deprecated. Reference the release field instead.

releaseobject
The Release that this Release Tag points to.